##################################################
# RAZORWIND SOURCE SCANNER .SS TAGS CONFIG FILE
# FOR QUAKE2D - Q1BSP maps
# BY PAVEL P. [VORTEX] TIMOFEYEV
##################################################

# INDEX
[Index]
NumDefs=100
NumGroups=50
ModelsPath=models/

#########################################
# COLOR DEFINES
#########################################

[Defs]
Def1=yes	|1
Def2=no		|0
Def3=true	|1
Def4=false	|0
Def5=on		|1
Def6=off	|0

# entity color codes
Def10=cMisc		|0 .5 0
Def11=cStructural	|0 0 .5
Def12=cTrigger		|.25 .25 .5
Def12=cItems		|0 .5 .5
Def13=cMonsters		|0.5 .25 0.25
Def14=cEffects		|0.5 0.5 0
Def15=cProp		|0.25 0.5 0
Def16=cInfoProp		|0.25 0.5 0


#########################################
# GENERIC FIELD DEFINES
#########################################

Def29=fname	|targetname\targetname\\targetname\Use to target other triggers to this entity
Def30=ftarg	|target\target\\target\All entities with matching name will be used
Def31=fkill	|killtarget\target\\kill target\Destroy all entities with matching targetname when triggered
Def32=fdelay	|delay\real\\delay\Delays this number of seconds before triggering
Def33=fmsg		|message\string\\message\Send a message to activator when triggered
Def34=fmsgsnd	|msgsound\sound\\message sound\When sending a message, playe this sound
Def35=ralpha	|alpha\real\\alpha\Opacity of object, 0.5 is 50% transparent ,1 is solid, 0 is forced to be 1. Use -1 for complete invisibility.
Def36=rcolor	|colormod\real3\\colormod\Shifts colors of model to be like this RGB weigted. '1 0 0' would make model red, '1 1 1' does nothing, '0 0 0' is forcedto be '1 1 1'
Def37=rscale	|scale\real\\scale\Scale entity model, 2 is 2x bigger, 1 is same, precision of scaling is 0.0625
Def38=angle		|angle\direction\\yaw Angle\Horizontal (Yaw) Angle, -1 is up, 2 is down
Def39=angles	|mangle\angles\\angles\Individual control of 'pitch yaw roll' angles
Def40=m_angle	|angle\direction\\move Yaw\Horizontal move direction, -1 is up, -2 is down
Def41=m_angles	|mangle\angles\\move angles\Individual Pitch-yaw-roll control of moving direction, this overrides Move Yaw if set
Def42=dormant	|isdormant\boolean\\Dormant\Dormant entities will not spawn on map, but they can be used as targets for misc_spawner

#########################################
# PROPERTIES GROUPS
#########################################

#####################
# ANGLES
###########

[Group2]
Name=angles
Color=#cMisc#
NumKeys=2
key1=#angle#
key2=#angles#

#####################
# MOVEANGLES
###########

[Group3]
Name=moveangles
Color=#cMisc#
NumKeys=2
key1=#m_angle#
key2=#m_angles#

#####################
# TARGET
###########

[Group3]
Name=target
Color=#cMisc#
NumKeys=1
key1=#fname#

#####################
# RENDER ALPHA-SCALE-COLORMOD
###########

[Group4]
Name=render_asc
Color=#cMisc#
NumKeys=3
key1=#ralpha#
key2=#rscale#
key3=#rcolormod#

#####################
# RENDER ALPHA-COLORMOD
###########

[Group5]
Name=render_ac
Color=#cMisc#
NumKeys=2
key1=#ralpha#
key3=#rcolor#

#####################
# FIXED SIZE TRIGGER
###########

[Group6]
Name=fixed
Color=#cMisc#
Min=-8 -8 -8
Max=8 8 8

#####################
# BRUSH PROPERTIES
###########

[Group7]
Color=#cStructural#
Name=brush
NumKeys=0
SFlag=0

#####################
# TERRAIN ENTITIES
###########

[Group8]
Name=terrain
Color=#cStructural#
SFlag=0
NumKeys=0

#####################
# ITEMS
###########

[Group9]
Name=item
Color=#cItems#
Min=0 0 0
Max=32 32 32
Notes=Triggers it's targets every time when fully/partially picked. Triggering item lets activator to pick it
Model=models/editor/item.md2
SFlag=1
NumKeys=6
Key1=#fname#
key2=#ftarg#
key3=#fkill#
key4=#fdelay#
key5=#fmsg#
key6=#dormant#
NumFlags=5
flag1=1\SUSPENDED\Suspended\Do not drop to floor
flag2=2\BONUS\Bonus\Not spawned, call bonus event when triggered
flag3=3\NO_TOUCH\No touch\Cannot be touched, only fired by another trigger
flag4=4\USABLE\Usable\Need to be used to pick
flag5=5\USABLE_INSTANT\Usable instant\Disables use animation so it will be picked instantly, needs USABLE spawnflag

#####################
# AMMO
###########

[Group10]
Name=ammo
Color=#cItems#
Min=0 0 0
Max=32 32 32
Notes=
Model=models/editor/item_ammo.md2
SFlag=1
NumKeys=1
key1=#dormant#
NumFlags=5
flag1=1\SUSPENDED\Suspended\Do not drop to floor
flag2=2\BONUS\Bonus\Not spawned, call bonus event when triggered
flag3=3\NO_TOUCH\No touch\Cannot be touched, only fired by another trigger
flag4=4\USABLE\Usable\Need to be used to pick
flag5=5\USABLE_INSTANT\Usable instant\Disables use animation so it will be picked instantly, needs USABLE spawnflag

#####################
# WEAPONS
###########

[Group11]
Name=weapon
Color=#cItems#
Min=-16 -16 0
Max=16 16 32
Notes=
Model=models/editor/item_weapon.md2
SFlag=1
NumKeys=1
Key1=#dormant#
NumFlags=5
flag1=1\SUSPENDED\Suspended\Do not drop to floor
flag2=2\BONUS\Bonus\Not spawned, call bonus event when triggered
flag3=3\NO_TOUCH\No touch\Cannot be touched, only fired by another trigger
flag4=4\USABLE\Usable\Need to be used to pick
flag5=5\USABLE_INSTANT\Usable instant\Disables use animation so it will be picked instantly, needs USABLE spawnflag

#####################
# ARMOR
###########

[Group12]
Name=armor
Color=#cItems#
Min=-16 -16 0
Max=16 16 32
Notes=
Model=models/editor/item_armor.md2
SFlag=1
NumKeys=1
Key1=#dormant#
NumFlags=5
flag1=1\SUSPENDED\Suspended\Do not drop to floor
flag2=2\BONUS\Bonus\Not spawned, call bonus event when triggered
flag3=3\NO_TOUCH\No touch\Cannot be touched, only fired by another trigger
flag4=4\USABLE\Usable\Need to be used to pick
flag5=5\USABLE_INSTANT\Usable instant\Disables use animation so it will be picked instantly, needs USABLE spawnflag

#####################
# POWERUP
###########

[Group13]
Name=powerup
Color=#cItems#
Min=-16 -16 0
Max=16 16 32
Notes=
Model=models/editor/item_powerup.md2
SFlag=1
NumKeys=1
Key1=#dormant#
NumFlags=5
flag1=1\SUSPENDED\Suspended\Do not drop to floor
flag2=2\BONUS\Bonus\Not spawned, call bonus event when triggered
flag3=3\NO_TOUCH\No touch\Cannot be touched, only fired by another trigger
flag4=4\USABLE\Usable\Need to be used to pick
flag5=5\USABLE_INSTANT\Usable instant\Disables use animation so it will be picked instantly, needs USABLE spawnflag

#####################
# MONSTERS
###########

[Group14]
Name=monster
Color=#cMonsters#
min=-16 -16 -24
max=16 16 40
Notes=Triggers it's targets when killed, triggering monster makes it angry to activator.
Model=
SFlag=1
NumKeys=9
Key1=netname\string\\name\Monster name for death obituary
Key2=health\integer\\health\Override health of monster
Key3=deathstring\string\\death obituary\death obutuary is casted when monster kills someone, see help section for "Obituary messages" for more information
Key4=#fname#
key5=#ftarg#
key6=#fkill#
key7=#fdelay#
key8=#fmsg#
Key9=#dormant#
NumFlags=3
flag1=1\AMBUSH\Ambush\Monster only wakes if really see enemy, not other monsters get angry
flag2=2\SUPER\SUPER\Makes super version of monster
flag3=3\MEGA\MEGA\Makes mega version of monster

#####################
# EFFECT CASTER
###########

[Group15]
Name=effect
Color=#cEffects#
Notes=Triggering effect makes it target at activator
Model=models/editor/effect.md2
SFlag=0
NumKeys=2
Key1=#fname#
key2=target\target\\target\Sets effect target

#####################
# STRUCTURE - MOVABLE BMODELS
###########

[Group16]
Name=struct
Color=#cStructural#
Notes=
Model=
SFlag=0
NumKeys=0

#####################
# SOUNDS
# sound entities
###########

[Group17]
Name=ambientsound
Color=#cEffects#
Min=-8 -8 -8
Max=8 8 8
Notes=
Model=models/editor/sound.md2
SFlag=0
NumKeys=4
key1=noise\sound\\sound\Override default sound sample
key2=volume\real\\sound volume\Volume of ambient sound, 0 is forced to be 1. Cannot be more than 1
key3=atten\real\\sound attenuation\Attenuation power of sound, 1 is normal, 4 is maximum, 0.01 makes sound to play over all level. 0 is forced to be 1
key4=delay\real\\start delay\Delay this number of seconds before starting sound, this can help to create async sounds

#####################
# LIGHT
###########

[Group18]
Name=light
Color=#cEffects#
Min=-8 -8 -8
Max=8 8 8
Notes=Targeting a light entity makes it switchable
Model=
SFlag=0
NumKeys=6
key1=light\integer\200\light level\light level, affects radius and brightness of light
key2=_color\color\1 1 1\light color\Weighted RGB value of light color
key3=style\color\\light style\custom light style number, check help docs for "light styles" to gain more info
key4=delay\list\\light type\light types, not that sunlights must have a target to set direction\0\Force to be default\1\Realistic 1/x (default)\2\Realistic 1/x*x\3\No fade\4\Sun\5\Tenebrae/RTlight
key5=wait\real\1.0\falloff rate\light falloff rate 0.5 = double radius, 2 = half radius
key6=_lightradius\real\\force light radius\forces light to be this radius

#####################
# MISC
###########

[Group19]
Name=misc
Color=#cMisc#
Min=-8 -8 -8
Max=8 8 8
Notes=
Model=
SFlag=0
NumKeys=1
Key1=#fname#

#####################
# SCENERY
###########

[Group20]
Name=scenery
Color=#cProp#
Min=-8 -8 -8
Max=8 8 8
Notes=
Model=
SFlag=0
NumKeys=0

#####################
# PLAYER START SPOTS
###########

[Group21]
Name=startspot
Color=#cInfoProp#
Min=-16 -16 -24
Max=16 16 32
Notes=
Model=
SFlag=1
Notes=
NumKeys=4
key1=dist\integer\250\Camera distance\Camera distance from player
key2=movedir\real3\8 8 8\Camera speed\Camera speed for X, Y and Z axis
key3=dest\real3\0 0 64\Camera offset\Camera offset vector
key4=offset\real3\0 120 140\Camera lookofs\Camera look offset (x is unused, y is up, z is down)

#####################
# TRIGGER
###########

[Group22]
Name=trigger
Color=#cTrigger#
Notes=
Model=
SFlag=0
NumKeys=0

#####################
# WORLDSPAWN
###########

[Group23]
Name=worldspawn
Color=0 0 0
Notes=
Model=
SFlag=0
NumKeys=11
key1=message\string\\map name\map name showed on title screen
key2=worldtype\list\\world type\set base worldtype for all map entities\0\Medieval\1\Metal\2\Base\64\Mario;
key3=sky\string\\skybox\skybox used for map, i.e "env/mysky" where sky sides shold be env/mysky_up.tga, env/mysky_rt.tga etc.
key4=wad\string\\wad files\.wad's used for map, use ";" to set multiple wads
key5=fog_density\real\\fog density\global fog density, 1 is 100% solid
key6=fog_red\real\\fog red\global fog red component, color range is 0-1, could be more than 1
key7=fog_green\real\\fog green\global fog green component, color range is 0-1, could be more than 1
key8=fog_blue\real\\fog blue\global fog blue component, color range is 0-1, could be more than 1
key9=fog_alpha\real\\fog alpha\global fog overall opacity modifier, 1 does nothing
key10=fog_start\real\\fog start dist\global fog start distance, good start value is 128
key11=fog_end\real\\fog end dist\global fog end distance (where for density is maximal), good start value is 1024

#####################
# WORLDTYPE
###########

[Group24]
Name=worldtype
NumKeys=1
key1=worldtype\list\\world type\force worldtype for this entity\0\Medieval\1\Metal\2\Base